Subject: Re: [MIB-DOCTORS] I-D Action: draft-ietf-lisp-mib-04.txt

From: Benoit Claise <[email-masked]>
Date: Mon, 09 Jul 2012 11:47:34 +0200

Hi Tom,
>
> On 6/27/12 8:13 AM, "Juergen Schoenwaelder"
> <[email-masked]> wrote:
>
>> On Wed, Jun 27, 2012 at 01:18:46PM +0200, Harrie Hazewinkel wrote:
>>> Hallo,
>>>
>>> I did a very quick scan to see how much work it would and may know next
>>> week
>>> more if I would have the time.
>>>
>>>
>>> What I noticed was the imports.
>>>
>>>
>>> In section 8.1 is only one of the imports mentioned, looks odd although
>>> the other imports
>>> are the standard SNMP framework (SMI, etc..).
>>>
>>>
>>> But the document reference for the import
>>> (IANA-ADDRESS-FAMILY-NUMBERS-MIB) is
>>> placed in the informative references and should go in the normative
>>> references.
>>>
>> I think the most important thing to tell people is that their MIB
>> module(s) must compile and that they should read RFC 4181 and check in
>> particular the appendices. Perhaps we should simply return all MIB
>> modules right away if they do not even compile. The LISP-MIB module
>> has some rather serious syntax errors.
> 	I've suggested a few times that it be done as part of id-nits, or as a
> second pass if a MIB is detected.
That would be nice.
Any practical ideas how to do that?

Regards, Benoit.
>
> 	--Tom
>
>> /js
>>
>> -- 
>> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
>> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
>> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
>> _______________________________________________
>> MIB-DOCTORS mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/mib-doctors
> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mib-doctors
>
>

---

From: Thomas Nadeau <[email-masked]>
Date: Mon, 9 Jul 2012 07:24:23 -0400

>Any practical ideas how to do that?

	A simple way to do this is to just add this to idnits.  Add some logic
that detects a MIB module and compiles it, and then issues a warning and/o
sets a flag in the I-D's record that we can use for a variety of things.
Perhaps the web-only version of I-d nits can do this due to licensing
issues, but we should be able to do this when a draft is submitted.  If it
doesn't pass, we could allow it to be submitted, but flip a flag producing
a warning message that alerts us and sets a status setting "compiles Y/N"
in the I-d record.  Chairs submitting drafts for IESG review would be
required to have the set to "Y/Passes".  MIB Doctor reviewers could also
get a heads up as to the status of the document prior to reviewing.

	I don't think the above would be too complex and could be handled during
one of the IETF code sprints.

	--Tom

---

From: Benoit Claise <[email-masked]>
Date: Wed, 11 Jul 2012 12:34:55 +0200

Tom,

> one of the IETF code sprints.
Let me follow up and see what can be done.

Regards,  Benoit.